Commit ed8ddc78 authored by Gianfranco Costamagna's avatar Gianfranco Costamagna

make polly installed only where available, update changelog

parent 6500d72e
...@@ -4,7 +4,10 @@ llvm-toolchain-7 (1:7~+rc3-2) UNRELEASED; urgency=medium ...@@ -4,7 +4,10 @@ llvm-toolchain-7 (1:7~+rc3-2) UNRELEASED; urgency=medium
* Fix inverted logic in ifeq statement for POLLY_ENABLE * Fix inverted logic in ifeq statement for POLLY_ENABLE
and OPENMP_ENABLE (Closes: #908646) and OPENMP_ENABLE (Closes: #908646)
-- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> Wed, 12 Sep 2018 10:40:28 +0200 [ Gianfranco Costamagna ]
* Drop gnustep and gnustep-devel suggestions (Closes: #902847)
-- Gianfranco Costamagna <locutusofborg@debian.org> Wed, 12 Sep 2018 10:58:12 +0200
llvm-toolchain-7 (1:7~+rc3-1) unstable; urgency=medium llvm-toolchain-7 (1:7~+rc3-1) unstable; urgency=medium
......
...@@ -3,7 +3,6 @@ usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/include ...@@ -3,7 +3,6 @@ usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/include
usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/lib usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/lib
usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/*.txt usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/*.txt
usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/share/*.txt usr/lib/llvm-@LLVM_VERSION@/lib/clang/@LLVM_VERSION_FULL@/share/*.txt
usr/lib/llvm-@LLVM_VERSION@/lib/cmake/polly/*.cmake
#usr/lib/clang/@LLVM_VERSION_FULL@/lib /usr/lib/clang/@LLVM_VERSION@/ #usr/lib/clang/@LLVM_VERSION_FULL@/lib /usr/lib/clang/@LLVM_VERSION@/
#usr/lib/clang/@LLVM_VERSION_FULL@/include/ /usr/include/clang/@LLVM_VERSION@/ #usr/lib/clang/@LLVM_VERSION_FULL@/include/ /usr/include/clang/@LLVM_VERSION@/
......
...@@ -629,6 +629,9 @@ endif ...@@ -629,6 +629,9 @@ endif
override_dh_install: override_dh_install:
# cp $(TARGET_BUILD)/lib/libLLVM-$(LLVM_VERSION).so $(DEB_INST)/usr/lib/llvm-$(LLVM_VERSION)/lib/libLLVM-$(LLVM_VERSION).so.$(SONAME_EXT) # cp $(TARGET_BUILD)/lib/libLLVM-$(LLVM_VERSION).so $(DEB_INST)/usr/lib/llvm-$(LLVM_VERSION)/lib/libLLVM-$(LLVM_VERSION).so.$(SONAME_EXT)
ifeq (${POLLY_ENABLE},yes)
dh_install -p libclang$(SONAME_EXT)-$(LLVM_VERSION)-dev usr/lib/llvm-$(LLVM_VERSION)/lib/cmake/polly/*.cmake usr/lib/llvm-$(LLVM_VERSION)/lib/cmake/polly
endif
dh_install --fail-missing dh_install --fail-missing
override_dh_installdeb: override_dh_installdeb:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment